/**
 * scannerlib.h - Header for code to interact with an 
 * XP100 scanner through libusb.
 *
 * @authors Joe Kopena tjkopena@cs.drexel.edu 2004/06
 **/

#include <stdio.h>

#include <usb.h>

#define INIT_FILE   "init"
#define SETTINGS_FILE "settings"

int sysInit(void);
void sysKill(void);

usb_dev_handle *xp100Find(void);  // look for the scanner
                                  // null on no success
int xp100Init(usb_dev_handle *udev);
void xp100Kill(usb_dev_handle *udev);

int xp100WaitForPaperReady(usb_dev_handle *udev);
int xp100ParametricScan(usb_dev_handle *udev,
			unsigned char *outFile,
			float widthInches,
			float lengthInches,
			unsigned char color,
			unsigned char resolution,
			unsigned char depth);
int xp100ColorParametricScan(usb_dev_handle *udev,
			unsigned char *outFile,
			float widthInches,
			float lengthInches,
			unsigned char resolution,
			     unsigned char depth);
int xp100Scan(usb_dev_handle *udev);
