/**
 * usblib.h - Header for basic code needed to work with libusb.
 * Generic, not XP100 specific.
 *
 * @authors Joe Kopena tjkopena@cs.drexel.edu 2004/06
 **/

#include <stdio.h>

#include <usb.h>

#define DEFAULT_TIMEOUT 500

int readRegOut(usb_dev_handle *udev,
			 unsigned char reg, unsigned char *val, int out);

int readReg(usb_dev_handle *udev,
		      unsigned char reg, unsigned char *val);

int readArray(usb_dev_handle *udev,
	      unsigned char reg, unsigned char *buff, int len);

int sendByte(usb_dev_handle *udev, char reg, char value);

int sendArray(usb_dev_handle *udev, char reg,
	      char *buffer, int len);

int sendRawArray(usb_dev_handle *udev,
		 char *buffer, int len);

int sendLog(usb_dev_handle *udev, char *file);
